package de.ugoe.cs.autoquest.plugin.usability2.rules.operator.wrapper;

import java.util.Collection;
import java.util.List;

import de.ugoe.cs.autoquest.tasktrees.treeifc.IEventTaskInstance;
import de.ugoe.cs.autoquest.tasktrees.treeifc.ITask;
import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskInstance;

public interface ITaskEntry extends ITask {
    public List<ITaskEntry> getNext();
    public ITask getReference();
    public List<ITaskEntry> getChildren();
    public ITaskWrapper getParent();

    public List<ITaskInstance> getAvailableFilters();
    public List<ITaskInstance> getFilteredInstances(ITaskInstance filter);
    Collection<List<IEventTaskInstance>> getInstanceSequences();
}